accounts/urls.py
from django.urls import path, include

from . import views

app_name = 'accounts'

urlpatterns = [
    path('signup', views.sign_up, name='sign_up'),
    path('profile', views.profile, name='profile'),
    path('profile/edit', views.profile_edit, name='profile_edit'),
]

blog/urls.py
from django.urls import path

from . import views
from .views import ArticleDetail, CategoryDetail

app_name = 'blog'

urlpatterns = [
    # Articles
    path('', views.article_list, name='article_list'),
    path("<slug:slug>", ArticleDetail.as_view(), name="article-detail"),

    # Categories
    path('list/', views.category_list, name='category_list'),
    path("<slug:slug>", CategoryDetail.as_view(), name="category-detail"),


]

contact/urls.py
from django.urls import path

from . import views

app_name = 'contact'

urlpatterns = [
    path("", views.contactMessage, name="contact"),
]

home/urls.py
from django.urls import path

from . import views

app_name = 'home'

urlpatterns = [
    path("", views.home_page, name="homePAge"),
]

jobs/urls.py
from django.urls import  path

from . import views

app_name = 'jobs'

urlpatterns = [
    path('', views.job_list, name='job_list'),
    path('create-job', views.create_job, name='create_job'),
    path("<slug:slug>", views.job_detail, name="job_detail"),

    # Categories
    path('categories/', views.categories_list, name='categories_list'),
    path("categories/<slug:slug>/", views.category_list, name="category-list"),
]

project/urls.py
from django.contrib import admin
from django.urls import path, include

from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('accounts/', include('django.contrib.auth.urls')),
    path('accounts/', include('accounts.urls', namespace='accounts')),
    path('admin/', admin.site.urls),
    path('jobs/', include('jobs.urls', namespace='jobs')),
    path('contact', include('contact.urls', namespace='contact')),
    path('blog/', include('blog.urls', namespace='blog')),
    path('', include('home.urls', namespace='home')),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

templates/componants/footer.html
<!-- footer start -->
    <footer class="footer">
        <div class="footer_top">
            <div class="container">
                <div class="row">
                    <div class="col-xl-3 col-md-6 col-lg-3">
                        <div class="footer_widget wow fadeInUp" data-wow-duration="1s" data-wow-delay=".3s">
                            <div class="footer_logo">
                                <a href="#">
                                    <img src="img/logo.png" alt="">
                                </a>
                            </div>
                            <p>
                                finloan@support.com <br>
                                +10 873 672 6782 <br>
                                600/D, Green road, NewYork
                            </p>
                            <div class="socail_links">
                                <ul>
                                    <li>
                                        <a href="#">
                                            <i class="ti-facebook"></i>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <i class="fa fa-google-plus"></i>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <i class="fa fa-twitter"></i>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#">
                                            <i class="fa fa-instagram"></i>
                                        </a>
                                    </li>
                                </ul>
                            </div>

                        </div>
                    </div>
                    <div class="col-xl-2 col-md-6 col-lg-2">
                        <div class="footer_widget wow fadeInUp" data-wow-duration="1.1s" data-wow-delay=".4s">
                            <h3 class="footer_title">
                                Company
                            </h3>
                            <ul>
                                <li><a href="#">About </a></li>
                                <li><a href="#"> Pricing</a></li>
                                <li><a href="#">Carrier Tips</a></li>
                                <li><a href="#">FAQ</a></li>
                            </ul>

                        </div>
                    </div>
                    <div class="col-xl-3 col-md-6 col-lg-3">
                        <div class="footer_widget wow fadeInUp" data-wow-duration="1.2s" data-wow-delay=".5s">
                            <h3 class="footer_title">
                                Category
                            </h3>
                            <ul>
                                <li><a href="#">Design & Art</a></li>
                                <li><a href="#">Engineering</a></li>
                                <li><a href="#">Sales & Marketing</a></li>
                                <li><a href="#">Finance</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-xl-4 col-md-6 col-lg-4">
                        <div class="footer_widget wow fadeInUp" data-wow-duration="1.3s" data-wow-delay=".6s">
                            <h3 class="footer_title">
                                Subscribe
                            </h3>
                            <form action="#" class="newsletter_form">
                                <input type="text" placeholder="Enter your mail">
                                <button type="submit">Subscribe</button>
                            </form>
                            <p class="newsletter_text">Esteem spirit temper too say adieus who direct esteem esteems
                                luckily.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="copy-right_text wow fadeInUp" data-wow-duration="1.4s" data-wow-delay=".3s">
            <div class="container">
                <div class="footer_border"></div>
                <div class="row">
                    <div class="col-xl-12">
                        <p class="copy_right text-center">
                            <!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
                            Copyright &copy;<script>document.write(new Date().getFullYear());
                            </script> All rights reserved | This Website is made by <i class="fa fa-heart-o" aria-hidden="true"></i>
                            <a href="https://abdelrhman10x.com" target="_blank">Abdalrhman10X</a>
                            <!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <!--/ footer end  -->

templates/componants/header.html
{% block header %}
    <!-- header-start -->
    <header>
        <div class="header-area ">
            <div id="sticky-header" class="main-header-area">
                <div class="container-fluid ">
                    <div class="header_bottom_border">
                        <div class="row align-items-center">
                            <div class="col-xl-3 col-lg-2">
                                <div class="logo">
                                    <a href="index.html">
                                        <img src="img/logo.png" alt="">
                                    </a>
                                </div>
                            </div>
                            <div class="col-xl-6 col-lg-7">
                                <div class="main-menu  d-none d-lg-block">
                                    <nav>
                                        <ul id="navigation">

                                            <li><a href="{% url 'home:homePAge' %}">home</a></li>
                                            <li><a href="{% url 'jobs:job_list' %}">Find Jobs <i class="ti-angle-down"></i></a>
                                                <!------------ SUB MENU ------------>
                                                <ul class="submenu" id="navigation">
                                                    <li><a href="{% url 'jobs:categories_list' %}">Categories</a></li>
                                                </ul>
                                            </li>
                                            <li><a href="{% url 'contact:contact' %}">Contact</a></li>

                                            <li><a href="{% url 'blog:article_list' %}">blog <i class="ti-angle-down"></i></a>
                                                <!------------ SUB MENU ------------>
{#                                                <ul class="submenu">#}
{#                                                    <li><a href="{% url 'blog:category-list' %}">Categories</a></li>#}
{#                                                </ul>#}
                                            </li>


                                        </ul>
                                    </nav>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 d-none d-lg-block">
                                <div class="Appointment">
                                    <div class="phone_num d-none d-xl-block">
                                        {% if user.is_authenticated %}
                                            <li><a href="{% url 'accounts:profile' %}">Dashboard</a></li>
                                        {% else %}
                                            <a class="mr-3"  href="{% url 'login' %}">Sign in</a>
                                        {% endif %}

                                    </div>
                                        {% if user.is_authenticated %}
                                            <li>
                                                <a class="text-light mr-3" href="{% url 'logout' %}">Sign Out </a>
                                            </li>
                                        {% endif %}
                                    <div class="d-none d-lg-block">
                                        <a class="boxed-btn3" href="{% url 'jobs:create_job' %}">Post a Job</a>

    <!-- header-end -->

                    </div>
                        </div>
                            </div>
                            <div class="col-12">
                                <div class="mobile_menu d-block d-lg-none"></div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </header>
    <!-- header-end -->



{% endblock  %}